Fix for x86_64 build fail
[platform/upstream/connectedhomeip.git] / third_party / nlfaultinjection / repo / tests / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 #    Copyright 2016-2020 The nlfaultinjection Authors.
19 #
20 #    Licensed under the Apache License, Version 2.0 (the "License");
21 #    you may not use this file except in compliance with the License.
22 #    You may obtain a copy of the License at
23 #
24 #    http://www.apache.org/licenses/LICENSE-2.0
25 #
26 #    Unless required by applicable law or agreed to in writing, software
27 #    distributed under the License is distributed on an "AS IS" BASIS,
28 #    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
29 #    See the License for the specific language governing permissions and
30 #    limitations under the License.
31 #
32
33 #
34 #    Description:
35 #      This file is the GNU automake template for the
36 #      Nest Labs Fault Injection unit tests
37
38 VPATH = @srcdir@
39 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
40 am__make_running_with_option = \
41   case $${target_option-} in \
42       ?) ;; \
43       *) echo "am__make_running_with_option: internal error: invalid" \
44               "target option '$${target_option-}' specified" >&2; \
45          exit 1;; \
46   esac; \
47   has_opt=no; \
48   sane_makeflags=$$MAKEFLAGS; \
49   if $(am__is_gnu_make); then \
50     sane_makeflags=$$MFLAGS; \
51   else \
52     case $$MAKEFLAGS in \
53       *\\[\ \   ]*) \
54         bs=\\; \
55         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
56           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
57     esac; \
58   fi; \
59   skip_next=no; \
60   strip_trailopt () \
61   { \
62     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
63   }; \
64   for flg in $$sane_makeflags; do \
65     test $$skip_next = yes && { skip_next=no; continue; }; \
66     case $$flg in \
67       *=*|--*) continue;; \
68         -*I) strip_trailopt 'I'; skip_next=yes;; \
69       -*I?*) strip_trailopt 'I';; \
70         -*O) strip_trailopt 'O'; skip_next=yes;; \
71       -*O?*) strip_trailopt 'O';; \
72         -*l) strip_trailopt 'l'; skip_next=yes;; \
73       -*l?*) strip_trailopt 'l';; \
74       -[dEDm]) skip_next=yes;; \
75       -[JT]) skip_next=yes;; \
76     esac; \
77     case $$flg in \
78       *$$target_option*) has_opt=yes; break;; \
79     esac; \
80   done; \
81   test $$has_opt = yes
82 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
83 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
84 pkgdatadir = $(datadir)/@PACKAGE@
85 pkgincludedir = $(includedir)/@PACKAGE@
86 pkglibdir = $(libdir)/@PACKAGE@
87 pkglibexecdir = $(libexecdir)/@PACKAGE@
88 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
89 install_sh_DATA = $(install_sh) -c -m 644
90 install_sh_PROGRAM = $(install_sh) -c
91 install_sh_SCRIPT = $(install_sh) -c
92 INSTALL_HEADER = $(INSTALL_DATA)
93 transform = $(program_transform_name)
94 NORMAL_INSTALL = :
95 PRE_INSTALL = :
96 POST_INSTALL = :
97 NORMAL_UNINSTALL = :
98 PRE_UNINSTALL = :
99 POST_UNINSTALL = :
100 build_triplet = @build@
101 host_triplet = @host@
102 target_triplet = @target@
103 @NLFAULTINJECTION_BUILD_TESTS_TRUE@check_PROGRAMS = fault-injection-test$(EXEEXT)
104 @NLFAULTINJECTION_BUILD_TESTS_TRUE@TESTS = $(check_PROGRAMS)
105 subdir = tests
106 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
107         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/mkinstalldirs \
108         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/depcomp \
109         $(noinst_HEADERS) \
110         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/test-driver
111 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
112 am__aclocal_m4_deps = $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/ax_check_compiler.m4 \
113         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_enable_coverage.m4 \
114         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_enable_coverage_reporting.m4 \
115         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_enable_debug.m4 \
116         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_enable_docs.m4 \
117         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_enable_optimization.m4 \
118         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_enable_tests.m4 \
119         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_filtered_canonical.m4 \
120         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_werror.m4 \
121         $(top_srcdir)/third_party/nlbuild-autotools/repo/autoconf/m4/nl_with_package.m4 \
122         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/m4/libtool.m4 \
123         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/m4/ltoptions.m4 \
124         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/m4/ltsugar.m4 \
125         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/m4/ltversion.m4 \
126         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/m4/lt~obsolete.m4 \
127         $(top_srcdir)/configure.ac
128 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
129         $(ACLOCAL_M4)
130 mkinstalldirs = $(SHELL) \
131         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/mkinstalldirs
132 CONFIG_HEADER = $(top_builddir)/include/nlfaultinjection-config.h
133 CONFIG_CLEAN_FILES =
134 CONFIG_CLEAN_VPATH_FILES =
135 am__fault_injection_test_SOURCES_DIST = TestFaultInjection.cpp
136 @NLFAULTINJECTION_BUILD_TESTS_TRUE@am_fault_injection_test_OBJECTS = TestFaultInjection.$(OBJEXT)
137 fault_injection_test_OBJECTS = $(am_fault_injection_test_OBJECTS)
138 @NLFAULTINJECTION_BUILD_TESTS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/src/libnlfaultinjection.a
139 @NLFAULTINJECTION_BUILD_TESTS_TRUE@fault_injection_test_DEPENDENCIES =  \
140 @NLFAULTINJECTION_BUILD_TESTS_TRUE@     $(am__DEPENDENCIES_1)
141 AM_V_lt = $(am__v_lt_@AM_V@)
142 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
143 am__v_lt_0 = --silent
144 am__v_lt_1 = 
145 AM_V_P = $(am__v_P_@AM_V@)
146 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
147 am__v_P_0 = false
148 am__v_P_1 = :
149 AM_V_GEN = $(am__v_GEN_@AM_V@)
150 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
151 am__v_GEN_0 = @echo "  GEN     " $@;
152 am__v_GEN_1 = 
153 AM_V_at = $(am__v_at_@AM_V@)
154 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
155 am__v_at_0 = @
156 am__v_at_1 = 
157 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
158 depcomp = $(SHELL) \
159         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/depcomp
160 am__depfiles_maybe = depfiles
161 am__mv = mv -f
162 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
163         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
164 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
165         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
166         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
167         $(AM_CXXFLAGS) $(CXXFLAGS)
168 AM_V_CXX = $(am__v_CXX_@AM_V@)
169 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
170 am__v_CXX_0 = @echo "  CXX     " $@;
171 am__v_CXX_1 = 
172 CXXLD = $(CXX)
173 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
174         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
175         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
176 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
177 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
178 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
179 am__v_CXXLD_1 = 
180 SOURCES = $(fault_injection_test_SOURCES)
181 DIST_SOURCES = $(am__fault_injection_test_SOURCES_DIST)
182 am__can_run_installinfo = \
183   case $$AM_UPDATE_INFO_DIR in \
184     n|no|NO) false;; \
185     *) (install-info --version) >/dev/null 2>&1;; \
186   esac
187 HEADERS = $(noinst_HEADERS)
188 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
189 # Read a list of newline-separated strings from the standard input,
190 # and print each of them once, without duplicates.  Input order is
191 # *not* preserved.
192 am__uniquify_input = $(AWK) '\
193   BEGIN { nonempty = 0; } \
194   { items[$$0] = 1; nonempty = 1; } \
195   END { if (nonempty) { for (i in items) print i; }; } \
196 '
197 # Make sure the list of sources is unique.  This is necessary because,
198 # e.g., the same source file might be shared among _SOURCES variables
199 # for different programs/libraries.
200 am__define_uniq_tagged_files = \
201   list='$(am__tagged_files)'; \
202   unique=`for i in $$list; do \
203     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
204   done | $(am__uniquify_input)`
205 ETAGS = etags
206 CTAGS = ctags
207 am__tty_colors_dummy = \
208   mgn= red= grn= lgn= blu= brg= std=; \
209   am__color_tests=no
210 am__tty_colors = { \
211   $(am__tty_colors_dummy); \
212   if test "X$(AM_COLOR_TESTS)" = Xno; then \
213     am__color_tests=no; \
214   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
215     am__color_tests=yes; \
216   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
217     am__color_tests=yes; \
218   fi; \
219   if test $$am__color_tests = yes; then \
220     red='\e[0;31m'; \
221     grn='\e[0;32m'; \
222     lgn='\e[1;32m'; \
223     blu='\e[1;34m'; \
224     mgn='\e[0;35m'; \
225     brg='\e[1m'; \
226     std='\e[m'; \
227   fi; \
228 }
229 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
230 am__vpath_adj = case $$p in \
231     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
232     *) f=$$p;; \
233   esac;
234 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
235 am__install_max = 40
236 am__nobase_strip_setup = \
237   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
238 am__nobase_strip = \
239   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
240 am__nobase_list = $(am__nobase_strip_setup); \
241   for p in $$list; do echo "$$p $$p"; done | \
242   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
243   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
244     if (++n[$$2] == $(am__install_max)) \
245       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
246     END { for (dir in files) print dir, files[dir] }'
247 am__base_list = \
248   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
249   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
250 am__uninstall_files_from_dir = { \
251   test -z "$$files" \
252     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
253     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
254          $(am__cd) "$$dir" && rm -f $$files; }; \
255   }
256 am__recheck_rx = ^[     ]*:recheck:[    ]*
257 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
258 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
259 # A command that, given a newline-separated list of test names on the
260 # standard input, print the name of the tests that are to be re-run
261 # upon "make recheck".
262 am__list_recheck_tests = $(AWK) '{ \
263   recheck = 1; \
264   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
265     { \
266       if (rc < 0) \
267         { \
268           if ((getline line2 < ($$0 ".log")) < 0) \
269             recheck = 0; \
270           break; \
271         } \
272       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
273         { \
274           recheck = 0; \
275           break; \
276         } \
277       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
278         { \
279           break; \
280         } \
281     }; \
282   if (recheck) \
283     print $$0; \
284   close ($$0 ".trs"); \
285   close ($$0 ".log"); \
286 }'
287 # A command that, given a newline-separated list of test names on the
288 # standard input, create the global log from their .trs and .log files.
289 am__create_global_log = $(AWK) ' \
290 function fatal(msg) \
291 { \
292   print "fatal: making $@: " msg | "cat >&2"; \
293   exit 1; \
294 } \
295 function rst_section(header) \
296 { \
297   print header; \
298   len = length(header); \
299   for (i = 1; i <= len; i = i + 1) \
300     printf "="; \
301   printf "\n\n"; \
302 } \
303 { \
304   copy_in_global_log = 1; \
305   global_test_result = "RUN"; \
306   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
307     { \
308       if (rc < 0) \
309          fatal("failed to read from " $$0 ".trs"); \
310       if (line ~ /$(am__global_test_result_rx)/) \
311         { \
312           sub("$(am__global_test_result_rx)", "", line); \
313           sub("[        ]*$$", "", line); \
314           global_test_result = line; \
315         } \
316       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
317         copy_in_global_log = 0; \
318     }; \
319   if (copy_in_global_log) \
320     { \
321       rst_section(global_test_result ": " $$0); \
322       while ((rc = (getline line < ($$0 ".log"))) != 0) \
323       { \
324         if (rc < 0) \
325           fatal("failed to read from " $$0 ".log"); \
326         print line; \
327       }; \
328       printf "\n"; \
329     }; \
330   close ($$0 ".trs"); \
331   close ($$0 ".log"); \
332 }'
333 # Restructured Text title.
334 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
335 # Solaris 10 'make', and several other traditional 'make' implementations,
336 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
337 # by disabling -e (using the XSI extension "set +e") if it's set.
338 am__sh_e_setup = case $$- in *e*) set +e;; esac
339 # Default flags passed to test drivers.
340 am__common_driver_flags = \
341   --color-tests "$$am__color_tests" \
342   --enable-hard-errors "$$am__enable_hard_errors" \
343   --expect-failure "$$am__expect_failure"
344 # To be inserted before the command running the test.  Creates the
345 # directory for the log if needed.  Stores in $dir the directory
346 # containing $f, in $tst the test, in $log the log.  Executes the
347 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
348 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
349 # will run the test scripts (or their associated LOG_COMPILER, if
350 # thy have one).
351 am__check_pre = \
352 $(am__sh_e_setup);                                      \
353 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
354 $(am__tty_colors);                                      \
355 srcdir=$(srcdir); export srcdir;                        \
356 case "$@" in                                            \
357   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
358     *) am__odir=.;;                                     \
359 esac;                                                   \
360 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
361   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
362 if test -f "./$$f"; then dir=./;                        \
363 elif test -f "$$f"; then dir=;                          \
364 else dir="$(srcdir)/"; fi;                              \
365 tst=$$dir$$f; log='$@';                                 \
366 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
367   am__enable_hard_errors=no;                            \
368 else                                                    \
369   am__enable_hard_errors=yes;                           \
370 fi;                                                     \
371 case " $(XFAIL_TESTS) " in                              \
372   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
373     am__expect_failure=yes;;                            \
374   *)                                                    \
375     am__expect_failure=no;;                             \
376 esac;                                                   \
377 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
378 # A shell command to get the names of the tests scripts with any registered
379 # extension removed (i.e., equivalently, the names of the test logs, with
380 # the '.log' extension removed).  The result is saved in the shell variable
381 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
382 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
383 # since that might cause problem with VPATH rewrites for suffix-less tests.
384 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
385 am__set_TESTS_bases = \
386   bases='$(TEST_LOGS)'; \
387   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
388   bases=`echo $$bases`
389 RECHECK_LOGS = $(TEST_LOGS)
390 AM_RECURSIVE_TARGETS = check recheck
391 TEST_SUITE_LOG = test-suite.log
392 TEST_EXTENSIONS = @EXEEXT@ .test
393 LOG_DRIVER = $(SHELL) \
394         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/test-driver
395 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
396 am__set_b = \
397   case '$@' in \
398     */*) \
399       case '$*' in \
400         */*) b='$*';; \
401           *) b=`echo '$@' | sed 's/\.log$$//'`; \
402        esac;; \
403     *) \
404       b='$*';; \
405   esac
406 am__test_logs1 = $(TESTS:=.log)
407 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
408 TEST_LOGS = $(am__test_logs2:.test.log=.log)
409 TEST_LOG_DRIVER = $(SHELL) \
410         $(top_srcdir)/third_party/nlbuild-autotools/repo/third_party/autoconf/test-driver
411 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
412         $(TEST_LOG_FLAGS)
413 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
414 ACLOCAL = @ACLOCAL@
415 AMTAR = @AMTAR@
416 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
417 AR = @AR@
418 AUTOCONF = @AUTOCONF@
419 AUTOHEADER = @AUTOHEADER@
420 AUTOMAKE = @AUTOMAKE@
421 AWK = @AWK@
422 CC = @CC@
423 CCDEPMODE = @CCDEPMODE@
424 CFLAGS = @CFLAGS@
425 CPP = @CPP@
426 CPPFLAGS = @CPPFLAGS@
427 CXX = @CXX@
428 CXXCPP = @CXXCPP@
429 CXXDEPMODE = @CXXDEPMODE@
430 CXXFLAGS = @CXXFLAGS@
431 CYGPATH_W = @CYGPATH_W@
432 DEFS = @DEFS@
433 DEPDIR = @DEPDIR@
434 DLLTOOL = @DLLTOOL@
435 DOT = @DOT@
436 DOXYGEN = @DOXYGEN@
437 DOXYGEN_USE_DOT = @DOXYGEN_USE_DOT@
438 DSYMUTIL = @DSYMUTIL@
439 DUMPBIN = @DUMPBIN@
440 ECHO_C = @ECHO_C@
441 ECHO_N = @ECHO_N@
442 ECHO_T = @ECHO_T@
443 EGREP = @EGREP@
444 EXEEXT = @EXEEXT@
445 FGREP = @FGREP@
446 GENHTML = @GENHTML@
447 GREP = @GREP@
448 INSTALL = @INSTALL@
449 INSTALL_DATA = @INSTALL_DATA@
450 INSTALL_PROGRAM = @INSTALL_PROGRAM@
451 INSTALL_SCRIPT = @INSTALL_SCRIPT@
452 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
453 LCOV = @LCOV@
454 LD = @LD@
455 LDFLAGS = @LDFLAGS@
456 LIBNLFAULTINJECTION_VERSION_AGE = @LIBNLFAULTINJECTION_VERSION_AGE@
457 LIBNLFAULTINJECTION_VERSION_CURRENT = @LIBNLFAULTINJECTION_VERSION_CURRENT@
458 LIBNLFAULTINJECTION_VERSION_INFO = @LIBNLFAULTINJECTION_VERSION_INFO@
459 LIBNLFAULTINJECTION_VERSION_REVISION = @LIBNLFAULTINJECTION_VERSION_REVISION@
460 LIBOBJS = @LIBOBJS@
461 LIBS = @LIBS@
462 LIBTOOL = @LIBTOOL@
463 LIPO = @LIPO@
464 LN_S = @LN_S@
465 LTLIBOBJS = @LTLIBOBJS@
466 MAINT = @MAINT@
467 MAKEINFO = @MAKEINFO@
468 MANIFEST_TOOL = @MANIFEST_TOOL@
469 MKDIR_P = @MKDIR_P@
470 NLASSERT_CPPFLAGS = @NLASSERT_CPPFLAGS@
471 NLASSERT_FOREIGN_SUBDIR_DEPENDENCY = @NLASSERT_FOREIGN_SUBDIR_DEPENDENCY@
472 NLASSERT_LDFLAGS = @NLASSERT_LDFLAGS@
473 NLASSERT_LIBS = @NLASSERT_LIBS@
474 NLASSERT_SUBDIRS = @NLASSERT_SUBDIRS@
475 NLUNIT_TEST_CPPFLAGS = @NLUNIT_TEST_CPPFLAGS@
476 NLUNIT_TEST_FOREIGN_SUBDIR_DEPENDENCY = @NLUNIT_TEST_FOREIGN_SUBDIR_DEPENDENCY@
477 NLUNIT_TEST_LDFLAGS = @NLUNIT_TEST_LDFLAGS@
478 NLUNIT_TEST_LIBS = @NLUNIT_TEST_LIBS@
479 NLUNIT_TEST_SUBDIRS = @NLUNIT_TEST_SUBDIRS@
480 NM = @NM@
481 NMEDIT = @NMEDIT@
482 OBJCOPY = @OBJCOPY@
483 OBJDUMP = @OBJDUMP@
484 OBJEXT = @OBJEXT@
485 OTOOL = @OTOOL@
486 OTOOL64 = @OTOOL64@
487 PACKAGE = @PACKAGE@
488 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
489 PACKAGE_NAME = @PACKAGE_NAME@
490 PACKAGE_STRING = @PACKAGE_STRING@
491 PACKAGE_TARNAME = @PACKAGE_TARNAME@
492 PACKAGE_URL = @PACKAGE_URL@
493 PACKAGE_VERSION = @PACKAGE_VERSION@
494 PATH_SEPARATOR = @PATH_SEPARATOR@
495 PKG_CONFIG = @PKG_CONFIG@
496 PRETTY_CHECK = @PRETTY_CHECK@
497 PRETTY_CHECK_ARGS = @PRETTY_CHECK_ARGS@
498 RANLIB = @RANLIB@
499 SED = @SED@
500 SET_MAKE = @SET_MAKE@
501 SHELL = @SHELL@
502 STRIP = @STRIP@
503 TARGET_STYLE = @TARGET_STYLE@
504 VERSION = @VERSION@
505 abs_builddir = @abs_builddir@
506 abs_srcdir = @abs_srcdir@
507 abs_top_builddir = @abs_top_builddir@
508 abs_top_nlbuild_autotools_dir = @abs_top_nlbuild_autotools_dir@
509 abs_top_srcdir = @abs_top_srcdir@
510 ac_ct_AR = @ac_ct_AR@
511 ac_ct_CC = @ac_ct_CC@
512 ac_ct_CXX = @ac_ct_CXX@
513 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
514 am__include = @am__include@
515 am__leading_dot = @am__leading_dot@
516 am__quote = @am__quote@
517 am__tar = @am__tar@
518 am__untar = @am__untar@
519 bindir = @bindir@
520 build = @build@
521 build_alias = @build_alias@
522 build_cpu = @build_cpu@
523 build_os = @build_os@
524 build_vendor = @build_vendor@
525 builddir = @builddir@
526 datadir = @datadir@
527 datarootdir = @datarootdir@
528 docdir = @docdir@
529 dvidir = @dvidir@
530 exec_prefix = @exec_prefix@
531 host = @host@
532 host_alias = @host_alias@
533 host_cpu = @host_cpu@
534 host_os = @host_os@
535 host_vendor = @host_vendor@
536 htmldir = @htmldir@
537 includedir = @includedir@
538 infodir = @infodir@
539 install_sh = @install_sh@
540 libdir = @libdir@
541 libexecdir = @libexecdir@
542 localedir = @localedir@
543 localstatedir = @localstatedir@
544 mandir = @mandir@
545 mkdir_p = @mkdir_p@
546 nl_filtered_build = @nl_filtered_build@
547 nl_filtered_build_cpu = @nl_filtered_build_cpu@
548 nl_filtered_build_os = @nl_filtered_build_os@
549 nl_filtered_build_vendor = @nl_filtered_build_vendor@
550 nl_filtered_host = @nl_filtered_host@
551 nl_filtered_host_cpu = @nl_filtered_host_cpu@
552 nl_filtered_host_os = @nl_filtered_host_os@
553 nl_filtered_host_vendor = @nl_filtered_host_vendor@
554 nl_filtered_target = @nl_filtered_target@
555 nl_filtered_target_cpu = @nl_filtered_target_cpu@
556 nl_filtered_target_os = @nl_filtered_target_os@
557 nl_filtered_target_vendor = @nl_filtered_target_vendor@
558 nlbuild_autotools_stem = @nlbuild_autotools_stem@
559 oldincludedir = @oldincludedir@
560 pdfdir = @pdfdir@
561 prefix = @prefix@
562 program_transform_name = @program_transform_name@
563 psdir = @psdir@
564 sbindir = @sbindir@
565 sharedstatedir = @sharedstatedir@
566 srcdir = @srcdir@
567 subdirs = @subdirs@
568 sysconfdir = @sysconfdir@
569 target = @target@
570 target_alias = @target_alias@
571 target_cpu = @target_cpu@
572 target_os = @target_os@
573 target_vendor = @target_vendor@
574 top_build_prefix = @top_build_prefix@
575 top_builddir = @top_builddir@
576 top_srcdir = @top_srcdir@
577
578 #
579 # Local headers to build against and distribute but not to install
580 # since they are not part of the package.
581 #
582 noinst_HEADERS = \
583     $(NULL)
584
585
586 #
587 # Other files we do want to distribute with the NLFAULTINJECTION SDK.
588 #
589 EXTRA_DIST = \
590     $(NULL)
591
592
593 # C preprocessor option flags that will apply to all compiled objects in this
594 # makefile.
595 @NLFAULTINJECTION_BUILD_TESTS_TRUE@AM_CPPFLAGS = \
596 @NLFAULTINJECTION_BUILD_TESTS_TRUE@    -I$(top_srcdir)/include                      \
597 @NLFAULTINJECTION_BUILD_TESTS_TRUE@    $(NULL)
598
599 @NLFAULTINJECTION_BUILD_TESTS_TRUE@COMMON_LDADD = \
600 @NLFAULTINJECTION_BUILD_TESTS_TRUE@     $(top_builddir)/src/libnlfaultinjection.a    \
601 @NLFAULTINJECTION_BUILD_TESTS_TRUE@    $(NULL)
602
603
604 # The additional environment variables and their values that will be
605 # made available to all programs and scripts in TESTS.
606 @NLFAULTINJECTION_BUILD_TESTS_TRUE@TESTS_ENVIRONMENT = \
607 @NLFAULTINJECTION_BUILD_TESTS_TRUE@    $(NULL)
608
609
610 # Source, compiler, and linker options for test programs.
611 @NLFAULTINJECTION_BUILD_TESTS_TRUE@fault_injection_test_LDADD = $(COMMON_LDADD)
612 @NLFAULTINJECTION_BUILD_TESTS_TRUE@fault_injection_test_SOURCES = TestFaultInjection.cpp
613
614 #
615 # Foreign make dependencies
616 #
617 @NLFAULTINJECTION_BUILD_TESTS_TRUE@NLFOREIGN_SUBDIR_DEPENDENCIES = \
618 @NLFAULTINJECTION_BUILD_TESTS_TRUE@   $(NLUNIT_TEST_FOREIGN_SUBDIR_DEPENDENCY)      \
619 @NLFAULTINJECTION_BUILD_TESTS_TRUE@   $(NULL)
620
621 @NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@CLEANFILES = $(wildcard *.gcda *.gcno)
622
623 # The bundle should positively be qualified with the absolute build
624 # path. Otherwise, VPATH will get auto-prefixed to it if there is
625 # already such a directory in the non-colocated source tree.
626 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@NLFAULTINJECTION_COVERAGE_BUNDLE = ${abs_builddir}/${PACKAGE}${NL_COVERAGE_BUNDLE_SUFFIX}
627 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@NLFAULTINJECTION_COVERAGE_INFO = ${NLFAULTINJECTION_COVERAGE_BUNDLE}/${PACKAGE}${NL_COVERAGE_INFO_SUFFIX}
628 all: all-am
629
630 .SUFFIXES:
631 .SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
632 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
633         @for dep in $?; do \
634           case '$(am__configure_deps)' in \
635             *$$dep*) \
636               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
637                 && { if test -f $@; then exit 0; else break; fi; }; \
638               exit 1;; \
639           esac; \
640         done; \
641         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/Makefile'; \
642         $(am__cd) $(top_srcdir) && \
643           $(AUTOMAKE) --foreign tests/Makefile
644 .PRECIOUS: Makefile
645 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
646         @case '$?' in \
647           *config.status*) \
648             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
649           *) \
650             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
651             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
652         esac;
653
654 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
655         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
656
657 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
658         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
659 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
660         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
661 $(am__aclocal_m4_deps):
662
663 clean-checkPROGRAMS:
664         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
665         echo " rm -f" $$list; \
666         rm -f $$list || exit $$?; \
667         test -n "$(EXEEXT)" || exit 0; \
668         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
669         echo " rm -f" $$list; \
670         rm -f $$list
671
672 fault-injection-test$(EXEEXT): $(fault_injection_test_OBJECTS) $(fault_injection_test_DEPENDENCIES) $(EXTRA_fault_injection_test_DEPENDENCIES) 
673         @rm -f fault-injection-test$(EXEEXT)
674         $(AM_V_CXXLD)$(CXXLINK) $(fault_injection_test_OBJECTS) $(fault_injection_test_LDADD) $(LIBS)
675
676 mostlyclean-compile:
677         -rm -f *.$(OBJEXT)
678
679 distclean-compile:
680         -rm -f *.tab.c
681
682 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TestFaultInjection.Po@am__quote@
683
684 .cpp.o:
685 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
686 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
687 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
688 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
691
692 .cpp.obj:
693 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
694 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
695 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
696 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
697 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
699
700 .cpp.lo:
701 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
702 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
703 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
704 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
705 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
706 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
707
708 mostlyclean-libtool:
709         -rm -f *.lo
710
711 clean-libtool:
712         -rm -rf .libs _libs
713
714 ID: $(am__tagged_files)
715         $(am__define_uniq_tagged_files); mkid -fID $$unique
716 tags: tags-am
717 TAGS: tags
718
719 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
720         set x; \
721         here=`pwd`; \
722         $(am__define_uniq_tagged_files); \
723         shift; \
724         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
725           test -n "$$unique" || unique=$$empty_fix; \
726           if test $$# -gt 0; then \
727             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
728               "$$@" $$unique; \
729           else \
730             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
731               $$unique; \
732           fi; \
733         fi
734 ctags: ctags-am
735
736 CTAGS: ctags
737 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
738         $(am__define_uniq_tagged_files); \
739         test -z "$(CTAGS_ARGS)$$unique" \
740           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
741              $$unique
742
743 GTAGS:
744         here=`$(am__cd) $(top_builddir) && pwd` \
745           && $(am__cd) $(top_srcdir) \
746           && gtags -i $(GTAGS_ARGS) "$$here"
747 cscopelist: cscopelist-am
748
749 cscopelist-am: $(am__tagged_files)
750         list='$(am__tagged_files)'; \
751         case "$(srcdir)" in \
752           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
753           *) sdir=$(subdir)/$(srcdir) ;; \
754         esac; \
755         for i in $$list; do \
756           if test -f "$$i"; then \
757             echo "$(subdir)/$$i"; \
758           else \
759             echo "$$sdir/$$i"; \
760           fi; \
761         done >> $(top_builddir)/cscope.files
762
763 distclean-tags:
764         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
765
766 # Recover from deleted '.trs' file; this should ensure that
767 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
768 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
769 # to avoid problems with "make -n".
770 .log.trs:
771         rm -f $< $@
772         $(MAKE) $(AM_MAKEFLAGS) $<
773
774 # Leading 'am--fnord' is there to ensure the list of targets does not
775 # expand to empty, as could happen e.g. with make check TESTS=''.
776 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
777 am--force-recheck:
778         @:
779
780 $(TEST_SUITE_LOG): $(TEST_LOGS)
781         @$(am__set_TESTS_bases); \
782         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
783         redo_bases=`for i in $$bases; do \
784                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
785                     done`; \
786         if test -n "$$redo_bases"; then \
787           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
788           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
789           if $(am__make_dryrun); then :; else \
790             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
791           fi; \
792         fi; \
793         if test -n "$$am__remaking_logs"; then \
794           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
795                "recursion detected" >&2; \
796         else \
797           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
798         fi; \
799         if $(am__make_dryrun); then :; else \
800           st=0;  \
801           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
802           for i in $$redo_bases; do \
803             test -f $$i.trs && test -r $$i.trs \
804               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
805             test -f $$i.log && test -r $$i.log \
806               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
807           done; \
808           test $$st -eq 0 || exit 1; \
809         fi
810         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
811         ws='[   ]'; \
812         results=`for b in $$bases; do echo $$b.trs; done`; \
813         test -n "$$results" || results=/dev/null; \
814         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
815         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
816         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
817         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
818         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
819         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
820         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
821         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
822           success=true; \
823         else \
824           success=false; \
825         fi; \
826         br='==================='; br=$$br$$br$$br$$br; \
827         result_count () \
828         { \
829             if test x"$$1" = x"--maybe-color"; then \
830               maybe_colorize=yes; \
831             elif test x"$$1" = x"--no-color"; then \
832               maybe_colorize=no; \
833             else \
834               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
835             fi; \
836             shift; \
837             desc=$$1 count=$$2; \
838             if test $$maybe_colorize = yes && test $$count -gt 0; then \
839               color_start=$$3 color_end=$$std; \
840             else \
841               color_start= color_end=; \
842             fi; \
843             echo "$${color_start}# $$desc $$count$${color_end}"; \
844         }; \
845         create_testsuite_report () \
846         { \
847           result_count $$1 "TOTAL:" $$all   "$$brg"; \
848           result_count $$1 "PASS: " $$pass  "$$grn"; \
849           result_count $$1 "SKIP: " $$skip  "$$blu"; \
850           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
851           result_count $$1 "FAIL: " $$fail  "$$red"; \
852           result_count $$1 "XPASS:" $$xpass "$$red"; \
853           result_count $$1 "ERROR:" $$error "$$mgn"; \
854         }; \
855         {                                                               \
856           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
857             $(am__rst_title);                                           \
858           create_testsuite_report --no-color;                           \
859           echo;                                                         \
860           echo ".. contents:: :depth: 2";                               \
861           echo;                                                         \
862           for b in $$bases; do echo $$b; done                           \
863             | $(am__create_global_log);                                 \
864         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
865         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
866         if $$success; then                                              \
867           col="$$grn";                                                  \
868          else                                                           \
869           col="$$red";                                                  \
870           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
871         fi;                                                             \
872         echo "$${col}$$br$${std}";                                      \
873         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
874         echo "$${col}$$br$${std}";                                      \
875         create_testsuite_report --maybe-color;                          \
876         echo "$$col$$br$$std";                                          \
877         if $$success; then :; else                                      \
878           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
879           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
880             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
881           fi;                                                           \
882           echo "$$col$$br$$std";                                        \
883         fi;                                                             \
884         $$success || exit 1
885
886 check-TESTS:
887         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
888         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
889         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
890         @set +e; $(am__set_TESTS_bases); \
891         log_list=`for i in $$bases; do echo $$i.log; done`; \
892         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
893         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
894         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
895         exit $$?;
896 recheck: all $(check_PROGRAMS)
897         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
898         @set +e; $(am__set_TESTS_bases); \
899         bases=`for i in $$bases; do echo $$i; done \
900                  | $(am__list_recheck_tests)` || exit 1; \
901         log_list=`for i in $$bases; do echo $$i.log; done`; \
902         log_list=`echo $$log_list`; \
903         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
904                 am__force_recheck=am--force-recheck \
905                 TEST_LOGS="$$log_list"; \
906         exit $$?
907 fault-injection-test.log: fault-injection-test$(EXEEXT)
908         @p='fault-injection-test$(EXEEXT)'; \
909         b='fault-injection-test'; \
910         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
911         --log-file $$b.log --trs-file $$b.trs \
912         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
913         "$$tst" $(AM_TESTS_FD_REDIRECT)
914 .test.log:
915         @p='$<'; \
916         $(am__set_b); \
917         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
918         --log-file $$b.log --trs-file $$b.trs \
919         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
920         "$$tst" $(AM_TESTS_FD_REDIRECT)
921 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
922 @am__EXEEXT_TRUE@       @p='$<'; \
923 @am__EXEEXT_TRUE@       $(am__set_b); \
924 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
925 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
926 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
927 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
928
929 distdir: $(DISTFILES)
930         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
931         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
932         list='$(DISTFILES)'; \
933           dist_files=`for file in $$list; do echo $$file; done | \
934           sed -e "s|^$$srcdirstrip/||;t" \
935               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
936         case $$dist_files in \
937           */*) $(MKDIR_P) `echo "$$dist_files" | \
938                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
939                            sort -u` ;; \
940         esac; \
941         for file in $$dist_files; do \
942           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
943           if test -d $$d/$$file; then \
944             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
945             if test -d "$(distdir)/$$file"; then \
946               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
947             fi; \
948             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
949               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
950               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
951             fi; \
952             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
953           else \
954             test -f "$(distdir)/$$file" \
955             || cp -p $$d/$$file "$(distdir)/$$file" \
956             || exit 1; \
957           fi; \
958         done
959 check-am: all-am
960         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
961         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
962 check: check-am
963 all-am: Makefile $(HEADERS)
964 installdirs:
965 install: install-am
966 install-exec: install-exec-am
967 install-data: install-data-am
968 uninstall: uninstall-am
969
970 install-am: all-am
971         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
972
973 installcheck: installcheck-am
974 install-strip:
975         if test -z '$(STRIP)'; then \
976           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
977             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
978               install; \
979         else \
980           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
981             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
982             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
983         fi
984 mostlyclean-generic:
985         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
986         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
987         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
988
989 clean-generic:
990         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
991
992 distclean-generic:
993         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
994         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
995
996 maintainer-clean-generic:
997         @echo "This command is intended for maintainers to use"
998         @echo "it deletes files that may require special tools to rebuild."
999 @NLFAULTINJECTION_BUILD_COVERAGE_FALSE@clean-local:
1000 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_FALSE@clean-local:
1001 @NLFAULTINJECTION_BUILD_TESTS_FALSE@clean-local:
1002 clean: clean-am
1003
1004 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1005         mostlyclean-am
1006
1007 distclean: distclean-am
1008         -rm -rf ./$(DEPDIR)
1009         -rm -f Makefile
1010 distclean-am: clean-am distclean-compile distclean-generic \
1011         distclean-tags
1012
1013 dvi: dvi-am
1014
1015 dvi-am:
1016
1017 html: html-am
1018
1019 html-am:
1020
1021 info: info-am
1022
1023 info-am:
1024
1025 install-data-am:
1026
1027 install-dvi: install-dvi-am
1028
1029 install-dvi-am:
1030
1031 install-exec-am:
1032
1033 install-html: install-html-am
1034
1035 install-html-am:
1036
1037 install-info: install-info-am
1038
1039 install-info-am:
1040
1041 install-man:
1042
1043 install-pdf: install-pdf-am
1044
1045 install-pdf-am:
1046
1047 install-ps: install-ps-am
1048
1049 install-ps-am:
1050
1051 installcheck-am:
1052
1053 maintainer-clean: maintainer-clean-am
1054         -rm -rf ./$(DEPDIR)
1055         -rm -f Makefile
1056 maintainer-clean-am: distclean-am maintainer-clean-generic
1057
1058 mostlyclean: mostlyclean-am
1059
1060 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1061         mostlyclean-libtool
1062
1063 pdf: pdf-am
1064
1065 pdf-am:
1066
1067 ps: ps-am
1068
1069 ps-am:
1070
1071 uninstall-am:
1072
1073 .MAKE: check-am install-am install-strip
1074
1075 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1076         clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1077         cscopelist-am ctags ctags-am distclean distclean-compile \
1078         distclean-generic distclean-libtool distclean-tags distdir dvi \
1079         dvi-am html html-am info info-am install install-am \
1080         install-data install-data-am install-dvi install-dvi-am \
1081         install-exec install-exec-am install-html install-html-am \
1082         install-info install-info-am install-man install-pdf \
1083         install-pdf-am install-ps install-ps-am install-strip \
1084         installcheck installcheck-am installdirs maintainer-clean \
1085         maintainer-clean-generic mostlyclean mostlyclean-compile \
1086         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1087         recheck tags tags-am uninstall uninstall-am
1088
1089
1090 include $(abs_top_nlbuild_autotools_dir)/automake/pre.am
1091
1092 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@$(NLFAULTINJECTION_COVERAGE_BUNDLE):
1093 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@ $(call create-directory)
1094
1095 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@$(NLFAULTINJECTION_COVERAGE_INFO): check-local | $(NLFAULTINJECTION_COVERAGE_BUNDLE)
1096 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@ $(call generate-coverage-report,${top_builddir})
1097
1098 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@coverage-local: $(NLFAULTINJECTION_COVERAGE_INFO)
1099
1100 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@clean-local: clean-local-coverage
1101
1102 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@.PHONY: clean-local-coverage
1103 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@clean-local-coverage:
1104 @NLFAULTINJECTION_BUILD_COVERAGE_REPORTS_TRUE@@NLFAULTINJECTION_BUILD_COVERAGE_TRUE@@NLFAULTINJECTION_BUILD_TESTS_TRUE@ -$(AM_V_at)rm -rf $(NLFAULTINJECTION_COVERAGE_BUNDLE)
1105
1106 include $(abs_top_nlbuild_autotools_dir)/automake/post.am
1107
1108 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1109 # Otherwise a system limit (for SysV at least) may be exceeded.
1110 .NOEXPORT: